Hive ODBC Connector on Linux

System Requirements

  • The 32-bit and 64-bit version of the following operating systems:
    • Red Hat® Enterprise Linux® (RHEL) 5.0 or 6.0
    • CentOS 5.0 or 6.0
    • SUSE Linux EnterpriseServer (SLES) 11
  • 45 MB of available disk space.
  • An installed ODBC driver manager:
    • iODBC 3.52.7 or above (OR)
    • unixODBC 2.2.12 or above

The Mapr ODBC Driver with SQL Connector for Apache Hive requires a Hadoop cluster with the Hive service installed and running. The MapR ODBC Driver with SQL Connector for Apache Hive is suitable for use with all versions of Hive. Download the ODBC connector from the following locations:

  • Red Hat 5 32-bit and 64-bit: https://package.mapr.com/tools/MapR-ODBC/MapR_Hive/MapRHive_odbc_<version>/Linux/EL5/
  • Red Hat 6 32-bit and 64-bit: https://package.mapr.com/tools/MapR-ODBC/MapR_Hive/MapRHive_odbc_<version>/Linux/EL6/
  • SuSE 11 32-bit and 64-bit: https://package.mapr.com/tools/MapR-ODBC/MapR_Hive/MapRHive_odbc_<version>/Linux/SLES11/
Note: For Hive 1.2.1, you must install version 2.1.8 or above. The 2.1.8 version also supports Hive 0.13 and Hive 1.0.